PHP 手冊
前一頁 |  | 下一頁

# SoapServer->setPersistence()

SoapServer->setPersistence() -- Sets persistence mode of SoapServer

## Description

class SoapServer {
void setPersistence ( int mode )
}

This function allows saving data between requests in a PHP session. It works only with a server that exports functions from a class with SoapServer->setClass().

## Parameters

mode

  One of the SOAP_PERSISTENCE_XXX constants.

## Return Values

No value is returned.

## 範例

範例 1. Some examples
`<?php $server->setPersistence(SOAP_PERSISTENCE_SESSION); $server->setPersistence(SOAP_PERSISTENCE_REQUEST); ?>`

## 參考

SoapServer->__construct()
SoapServer->setClass()

前一頁 | 內容 | 下一頁
SoapServer->setClass() | 上一層 | SoapVar->__construct()